Package org.apache.jasper

# Enum TrimSpacesOption

java.lang.Object
java.lang.Enum<TrimSpacesOption>
org.apache.jasper.TrimSpacesOption

All Implemented Interfaces:
  `Serializable`, `Comparable<TrimSpacesOption>`, `java.lang.constant.Constable`

public enum TrimSpacesOption extends Enum<TrimSpacesOption>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXTENDED`
`FALSE`
`SINGLE`
`TRUE`

## Method Summary

Modifier and Type
Method
Description
`static TrimSpacesOption`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TrimSpacesOption[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FALSE

public static final TrimSpacesOption FALSE

### TRUE

public static final TrimSpacesOption TRUE

### SINGLE

public static final TrimSpacesOption SINGLE

### EXTENDED

public static final TrimSpacesOption EXTENDED

## Method Details

### values

public static TrimSpacesOption[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TrimSpacesOption valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null